;****************************************************************************************************************************************** 
; 文件名称:    system_SWM100.c
; 功能说明:    SWM1200单片机的启动文件
; 技术支持:    http://www.synwit.com.cn/e/tool/gbook/?bid=1
; 注意事项:
; 版本日期: V1.0.0        2012年10月30日
; 升级记录: 
;
;
;******************************************************************************************************************************************
; @attention
;
; THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH CODING INFORMATION 
; REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME. AS A RESULT, SYNWIT SHALL NOT BE HELD LIABLE 
; FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT 
; OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONN-
; -ECTION WITH THEIR PRODUCTS.
;
; COPYRIGHT 2012 Synwit Technology
;******************************************************************************************************************************************


        MODULE  ?cstartup

        ;; Forward declaration of sections.
        SECTION CSTACK:DATA:NOROOT(3)

        SECTION .intvec:CODE:NOROOT(2)

        EXTERN  __iar_program_start
        PUBLIC  __vector_table

        DATA
__vector_table
        DCD     sfe(CSTACK)
        DCD     Reset_Handler             
        DCD     NMI_Handler               
        DCD     HardFault_Handler         
        DCD     0                         
        DCD     0                         
        DCD     0                         
        DCD     0                         
        DCD     0                         
        DCD     0                         
        DCD     0                         
        DCD     SVC_Handler               
        DCD     0                         
        DCD     0                         
        DCD     PendSV_Handler            
        DCD     SysTick_Handler           

        ; External Interrupts
        DCD     GPIO0_Handler           
        DCD     GPIO1_Handler           
        DCD     BOD_Handler             
        DCD     WDT_Handler             
        DCD     TMRSE_Handler           
        DCD     PWM_Handler             
        DCD     ADC_Handler             
        DCD     Default_Handler         
        DCD     UART_Handler            
        DCD     SSI_Handler             
        DCD     I2C_Handler      
        DCD     Default_Handler  
        DCD     GPIO2_Handler    
        DCD     GPIO3_Handler    
        DCD     GPIO4_Handler    
        DCD     GPIO5_Handler    
        DCD     GPIO6_Handler    
        DCD     GPIO7_Handler    
        DCD     TIMR0_Handler    
        DCD     TIMR1_Handler    
        DCD     TIMR2_Handler    
        DCD     TIMR3_Handler    
        DCD     GPIO8_Handler    
        DCD     GPIO9_Handler    
        DCD     GPIO10_Handler   
        DCD     GPIO11_Handler   
        DCD     GPIO12_Handler   
        DCD     GPIO13_Handler   
        DCD     GPIO14_Handler   
        DCD     GPIO15_Handler   
        DCD     Default_Handler  
        DCD     GPIOE_Handler    


        THUMB

        PUBWEAK Reset_Handler
        SECTION .text:CODE:REORDER:NOROOT(2)
Reset_Handler
        LDR     R0, =__iar_program_start
        BX      R0
        
        PUBWEAK NMI_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
NMI_Handler
        B NMI_Handler

        PUBWEAK HardFault_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
HardFault_Handler
        B HardFault_Handler

        PUBWEAK SVC_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
SVC_Handler
        B SVC_Handler

        PUBWEAK PendSV_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
PendSV_Handler
        B PendSV_Handler

        PUBWEAK SysTick_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
SysTick_Handler
        B SysTick_Handler


        PUBWEAK GPIO0_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO0_Handler
        B GPIO0_Handler

        PUBWEAK GPIO1_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO1_Handler
        B GPIO1_Handler

        PUBWEAK BOD_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
BOD_Handler
        B BOD_Handler

        PUBWEAK WDT_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
WDT_Handler
        B WDT_Handler

        PUBWEAK TMRSE_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
TMRSE_Handler
        B TMRSE_Handler

        PUBWEAK PWM_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
PWM_Handler
        B PWM_Handler

        PUBWEAK ADC_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
ADC_Handler
        B ADC_Handler

        PUBWEAK UART_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
UART_Handler
        B UART_Handler

        PUBWEAK SSI_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
SSI_Handler
        B SSI_Handler

        PUBWEAK I2C_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
I2C_Handler
        B I2C_Handler

        PUBWEAK GPIO2_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO2_Handler
        B GPIO2_Handler

        PUBWEAK GPIO3_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO3_Handler
        B GPIO3_Handler

        PUBWEAK GPIO4_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO4_Handler
        B GPIO4_Handler

        PUBWEAK GPIO5_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO5_Handler
        B GPIO5_Handler

        PUBWEAK GPIO6_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO6_Handler
        B GPIO6_Handler

        PUBWEAK GPIO7_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO7_Handler
        B GPIO7_Handler

        PUBWEAK TIMR0_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
TIMR0_Handler
        B TIMR0_Handler

        PUBWEAK TIMR1_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
TIMR1_Handler
        B TIMR1_Handler

        PUBWEAK TIMR2_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
TIMR2_Handler
        B TIMR2_Handler

        PUBWEAK TIMR3_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
TIMR3_Handler
        B TIMR3_Handler

        PUBWEAK GPIO8_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO8_Handler
        B GPIO8_Handler

        PUBWEAK GPIO9_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO9_Handler
        B GPIO9_Handler

        PUBWEAK GPIO10_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO10_Handler
        B GPIO10_Handler

        PUBWEAK GPIO11_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO11_Handler
        B GPIO11_Handler

        PUBWEAK GPIO12_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO12_Handler
        B GPIO12_Handler

        PUBWEAK GPIO13_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO13_Handler
        B GPIO13_Handler

        PUBWEAK GPIO14_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO14_Handler
        B GPIO14_Handler

        PUBWEAK GPIO15_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIO15_Handler
        B GPIO15_Handler

        PUBWEAK GPIOE_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
GPIOE_Handler
        B GPIOE_Handler

        PUBWEAK Default_Handler
        SECTION .text:CODE:REORDER:NOROOT(1)
Default_Handler
        B Default_Handler
        
        
        END
